---
title: Project Management
author:
date: 2022-11-23
...

# Project Management {#project-management}

## kernel.project.projectInfo (`DATA`) {#projectinfo}

Project informations


> [`projectInfo`](#projectinfo)  `::=` `{` `"id"` `:` `#project` , `"name"`
  `:` _string_ , `"current"` `:` _boolean_ `}`
  

## kernel.project.projectRequest (`DATA`) {#projectrequest}

Request to be executed on the specified project.


> [`projectRequest`](#projectrequest)  `::=` `{` `"project"` `:` `#project` ,
  `"request"` `:` _string_ , `"data"` `:` _any_ `}`
  

## kernel.project.getCurrent (`GET`) {#getcurrent}

Returns the current project


> _input_ `::=` _null_
  

> _output_ `::=` [`projectInfo`](project.md#projectinfo) 
  

## kernel.project.setCurrent (`SET`) {#setcurrent}

Switches the current project


> _input_ `::=` `#project`
  

> _output_ `::=` _null_
  

## kernel.project.getList (`GET`) {#getlist}

Returns the list of all projects


> _input_ `::=` _null_
  

> _output_ `::=` [`projectInfo`](project.md#projectinfo)  `[]`
  

## kernel.project.getOn (`GET`) {#geton}

Execute a GET request within the given project


> _input_ `::=` [`projectRequest`](project.md#projectrequest) 
  

> _output_ `::=` _any_
  

## kernel.project.setOn (`SET`) {#seton}

Execute a SET request within the given project


> _input_ `::=` [`projectRequest`](project.md#projectrequest) 
  

> _output_ `::=` _any_
  

## kernel.project.execOn (`EXEC`) {#execon}

Execute an EXEC request within the given project


> _input_ `::=` [`projectRequest`](project.md#projectrequest) 
  

> _output_ `::=` _any_
  

## kernel.project.create (`SET`) {#create}

Create a new project


> _input_ `::=` _string_
  

> _output_ `::=` [`projectInfo`](project.md#projectinfo) 
  